use leptos::*;

#[component]
pub fn Tag(
    #[prop[optional]]
    url: String,
    children: Children
) -> impl IntoView {
    view! {
        <a class="tag" href=url target="_blank">
            {children()}
        </a>
    }
}